Package org.apache.synapse.commons.util

## Class PropertyHelper

- java.lang.Object
- - org.apache.synapse.commons.util.PropertyHelper

-     public class PropertyHelper
      extends Object

  This class will be used as a Helper class to get the properties loaded while building the Synapse Configuration from the XML

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isStaticProperty​(org.apache.axiom.om.OMElement property)` | This method will check the given OMElement represent either a static property or not
    `static void` | `setInstanceProperty​(String name, Object val, Object obj)` | Find and invoke the setter method with the name of form setXXX passing in the value given on the POJO object
    `static void` | `setStaticProperty​(org.apache.axiom.om.OMElement property, Object o)` | This method will set the static property discribed in the OMElement to the specified object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyHelper

          public PropertyHelper()

  - ### Method Detail

    - #### setInstanceProperty

          public static void setInstanceProperty​(String name,
                                                 Object val,
                                                 Object obj)

      Find and invoke the setter method with the name of form setXXX passing in the value given on the POJO object
      Parameters:
        `name` - name of the setter field
        `val` - value to be set
        `obj` - POJO instance

    - #### setStaticProperty

          public static void setStaticProperty​(org.apache.axiom.om.OMElement property,
                                               Object o)

      This method will set the static property discribed in the OMElement to the specified object. This Object should have the setter method for the specified property name
      Parameters:
        `property` - - OMElement specifying the property to be built in to the object
        `o` - - Object to which the specified property will be set.

    - #### isStaticProperty

          public static boolean isStaticProperty​(org.apache.axiom.om.OMElement property)

      This method will check the given OMElement represent either a static property or not
      Parameters:
        `property` - - OMElement to be checked for the static property
      Returns:
        boolean true if the elemet represents a static property element false otherwise